summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource4/autogen.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/source4/autogen.sh b/source4/autogen.sh
index 8d842a9cb5..9fab356698 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -63,8 +63,10 @@ $AUTOCONF $IPATHS || exit 1
rm -rf autom4te*.cache
-echo "$0: building Web Application Framework (SWAT)"
-make -C ../webapps/swat distclean build || exit 1
+if test x"${AUTOGEN_SKIP_SWAT}" != x"yes"; then
+ echo "$0: building Web Application Framework (SWAT)"
+ make -C ../webapps/swat distclean build || exit 1
+fi
echo "Now run ./configure and then make."
exit 0